fstrcasecmp(3)

NAME
fstrcasecmp - fuzzy comparison of two strings ignoring case

SYNOPSIS
#include <fstrcmp.h>

#define FSTRCMP_IDENTICAL
#define FSTRCMP_THRESHOLD
#define FSTRCMP_ERROR

double fstrcasecmp(const char *string1, const char *string2);

DESCRIPTION
The fstrcmp() function compares the two strings, string1 and string2, ignoring case.

RETURN VALUE
The fstrcasecmp function returns a floating point value between 0.0 and FSTRCMP_IDENTICAL. A value of 0.0 means the strings are utterly un-alike. A value of FSTRCMP_IDENTICAL means the strings are identical. A value of more than FSTRCMP_THRESHOLD (it lies between 0.0 and FSTRCMP_IDENTICAL) would be considered "similar" by most people.

A value of FSTRCMP_ERROR (always negative) indicates a malloc(3) failure.

SEE ALSO

fmemcmp(3)
    fuzzy comparison of two memory areas

fstrcasecmpi(3)
    fuzzy comparison of two strings ignoring case

fstrcmp(3)
    fuzzy comparison of two strings

strcasecmp(3)
    compare two strings ignoring case

COPYRIGHT
fstrcmp version 0.7
Copyright (C) 2009 Peter Miller
Peter Miller <pmiller@opensource.org.au>

The comparison code is derived from the fuzzy comparison functions in GNU Gettext 0.17. The GNU Gettext comparison functions were, in turn, derived from GNU Diff 2.7.

Copyright (C) 1988-2009 Free Software Foundation